Delen via


Sql Vulnerability Assessment Baseline Rules - List

Haalt de resultaten op voor alle regels in de basislijn.

GET https://management.azure.com/{resourceId}/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules?workspaceId={workspaceId}&api-version=2023-02-01-preview

URI-parameters

Name In Vereist Type Description
resourceId
path True

string

De id van de resource.

api-version
query True

string

De API-versie.

workspaceId
query True

string

De werkruimte-id.

Antwoorden

Name Type Description
200 OK

RulesResults

De basislijn voor evaluatie van beveiligingsproblemen in de database is verwijderd.

Other Status Codes

CloudError

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

List baseline for all rules

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.HybridCompute/machines/MyMachine/sqlServers/server1/databases/master/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules?workspaceId=55555555-6666-7777-8888-999999999999&api-version=2023-02-01-preview

Voorbeeldrespons

{
  "value": [
    {
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.HybridCompute/machines/MyMachine/sqlServers/server1/databases/master/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234",
      "name": "VA1234",
      "type": "Microsoft.Security/sqlVulnerabilityAssessments/baselineRules",
      "properties": {
        "results": [
          [
            "userA",
            "SELECT"
          ],
          [
            "userB",
            "SELECT"
          ]
        ]
      }
    },
    {
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.HybridCompute/machines/MyMachine/sqlServers/server1/databases/master/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA5678",
      "name": "VA5678",
      "type": "Microsoft.Security/sqlVulnerabilityAssessments/baselineRules",
      "properties": {
        "results": [
          [
            "Test",
            "0.0.0.0",
            "125.125.125.125"
          ]
        ]
      }
    }
  ]
}

Definities

Name Description
CloudError

Veelvoorkomende foutreactie voor alle Azure Resource Manager-API's om foutdetails te retourneren voor mislukte bewerkingen. (Dit volgt ook de OData-foutreactieindeling.)

CloudErrorBody

De foutdetails.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

RuleResults

Regelresultaten.

RuleResultsProperties

Eigenschappen van regelresultaten.

RulesResults

Een lijst met regelresultaten.

CloudError

Veelvoorkomende foutreactie voor alle Azure Resource Manager-API's om foutdetails te retourneren voor mislukte bewerkingen. (Dit volgt ook de OData-foutreactieindeling.)

Name Type Description
error.additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

error.code

string

De foutcode.

error.details

CloudErrorBody[]

De foutdetails.

error.message

string

Het foutbericht.

error.target

string

Het foutdoel.

CloudErrorBody

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

CloudErrorBody[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

RuleResults

Regelresultaten.

Name Type Description
id

string

Resource-id

name

string

Resourcenaam

properties

RuleResultsProperties

Eigenschappen van regelresultaten.

type

string

Type hulpbron

RuleResultsProperties

Eigenschappen van regelresultaten.

Name Type Description
results

string[]

Verwachte resultaten in de basislijn.

RulesResults

Een lijst met regelresultaten.

Name Type Description
value

RuleResults[]

Lijst met regelresultaten.